Subject: Re: Using git with Eclipse

From: Wink Saville <[email-masked]>
Date: Mon, 10 Dec 2007 21:55:41 -0800

Shawn O. Pearce wrote:
> Wink Saville <[email-masked]> wrote:
>   
>> I'm trying to use git on an Eclipse workspace and the .metadata 
>> directory is chock full of files and was wondering what, if anything, 
>> should be ignored. At the moment .history looks like a candidate for 
>> ignoring there are probably others.
>>     
>
> Ignore all of .metadata; its Eclipse private state that you don't
> want to version.  I'd add it to .git/info/exclude so its ignored only
> in the repository that is using Eclipse, rather than in .gitignore
> (which is published).
>
>   
Shawn,

I added .metadata to exclude then used git rm to remove
.metadata from the repository. I then cloned that
repository to see how Eclipse would work. (As part of  my
workflow I use git as a backup so I wanted to see what would
happen when I "restored".)

As I'm sure you know with the metadata gone my existing projects
in the Ui were gone and they have to be recreated as well as
some Eclipse and plugin specific configuration.
I understand you and others are working on an Eclipse plugin
for git, will it also ignore . metadata?

Do you need any testing done or is it too early? I'd be glad to
test if you feel its solid enough that I won't lose data or if it
uses a separate different repo then I could use both.

Regards,

Wink Saville